/**
 * This header is generated by class-dump-z 0.2a.
 * class-dump-z is Copyright (C) 2009 by KennyTM~, licensed under GPLv3.
 *
 * Source: /System/Library/PrivateFrameworks/DataAccess.framework/DataAccess
 */

#import "AccountCreationProtocol.h"
#import "BasicAccountSyncing.h"
#import "AccountFullAccountProtocol.h"
#import <BasicAccount.h> // Unknown library
#import "DataAccess-Structs.h"

@class DASettingsTemplate, NSMutableDictionary, DAStatusReport, NSString, NSURL, NSArray, NSData;

@interface DAAccount : BasicAccount <AccountFullAccountProtocol, AccountCreationProtocol, BasicAccountSyncing> {
	int _dataclasses;	// 16 = 0x10
	BOOL _hasDirtyBits;	// 20 = 0x14
	BOOL _hasInitted;	// 21 = 0x15
	BOOL _shouldAutodiscoverPrincipalURL;	// 22 = 0x16
	BOOL _shouldPromptForPassword;	// 23 = 0x17
	BOOL _shouldFailAllTasks;	// 24 = 0x18
	int _originalDataclasses;	// 28 = 0x1c
	CFDictionaryRef _changeTypesByDataclass;	// 32 = 0x20
	NSMutableDictionary *_haveWarnedAboutCertDict;	// 36 = 0x24
	DASettingsTemplate *_settingsTemplate;	// 40 = 0x28
	DAStatusReport *_statusReport;	// 44 = 0x2c
	NSString *_embargoedPassword;	// 48 = 0x30
	NSURL *_urlToRemoveFromKeychain;	// 52 = 0x34
	CFDictionaryRef _consumers;	// 56 = 0x38
}
@property(copy) NSString *accountDescription;	// G=0x3155ad95; S=0x3155bf95; 
@property(assign, setter=setDAAccountVersion:) int daAccountVersion;	// G=0x3155aa1d; S=0x3155b6d5; 
@property(copy) NSString *emailAddress;	// G=0x3155c745; S=0x3155c709; 
@property(copy) NSArray *emailAddresses;	// G=0x3155bb0d; S=0x3155c6cd; 
@property(readonly, assign) int enabledDataclassesBitmask;	// G=0x3155b2b5; @synthesize=_dataclasses
@property(readonly, assign) BOOL hasDirtyBits;	// G=0x3155b231; converted property
@property(copy) NSString *host;	// G=0x3155c835; S=0x3155c7f9; 
@property(copy) NSData *identityPersist;	// G=0x3155ba19; S=0x3155b9fd; 
@property(readonly, assign) BOOL isChildAccount;	// G=0x3155b249; 
@property(copy) NSString *password;	// G=0x3155bc11; S=0x3155bb69; 
@property(readonly, copy) NSString *persistentUUID;	// G=0x3155a88d; 
@property(assign) int port;	// G=0x3155c691; S=0x3155c655; 
@property(copy) NSURL *principalURL;	// G=0x3155c565; S=0x3155c529; 
@property(readonly, retain, nonatomic) NSString *scheduleIdentifier;	// G=0x3155bfe5; 
@property(copy) NSString *scheme;	// G=0x3155c5dd; S=0x3155c5a1; 
@property(retain) DASettingsTemplate *settingsTemplate;	// G=0x3155d291; S=0x3155d2a9; @synthesize=_settingsTemplate
@property(assign) BOOL shouldAutodiscoverPrincipalURL;	// G=0x3155b295; S=0x3155b2a5; @synthesize=_shouldAutodiscoverPrincipalURL
@property(assign) BOOL shouldFailAllTasks;	// G=0x3155b265; S=0x3155b275; @synthesize=_shouldFailAllTasks
@property(assign) BOOL shouldPromptForPassword;	// G=0x3155b20d; S=0x3155b21d; 
@property(readonly, assign) DAStatusReport *statusReport;	// G=0x3155b285; @synthesize=_statusReport
@property(readonly, copy) NSString *tag;	// G=0x3155bfd1; 
@property(assign) BOOL useSSL;	// G=0x3155c7bd; S=0x3155c781; 
@property(copy) NSString *user;	// G=0x3155bb55; S=0x3155bb41; 
@property(copy) NSString *username;	// G=0x3155c8ad; S=0x3155c871; 
@property(retain) id version;	// G=0x3155c925; S=0x3155c8e9; converted property
+ (Class)accountClass;	// 0x3155bff9
+ (Class)accountClassWithProperties:(id)properties;	// 0x3155d3a9
+ (id)basicAccountProperties;	// 0x3155d2d5
+ (Class)classForAccountType:(id)accountType;	// 0x3155bf65
+ (Class)clientClass;	// 0x3155ccd1
+ (Class)daemonClass;	// 0x3155cc95
+ (id)defaultProperties;	// 0x3155b24d
+ (id)newAccountOfAccountType:(id)accountType;	// 0x3155b711
- (id)init;	// 0x3155c019
- (id)initWithProperties:(id)properties;	// 0x3155a539
- (int)_actionForTrust:(SecTrust *)trust host:(id)host service:(id)service;	// 0x3155d609
- (id)_exceptionsDict;	// 0x3155b9e1
- (void)_handlePasswordNotification:(CFUserNotificationRef)notification response:(unsigned long)response callback:(id)callback;	// 0x3155df65
- (void)_removeHostsToTrust;	// 0x3155d0c1
- (void)_removePasswordFromKeychainKeepCache:(BOOL)keychainKeepCache;	// 0x3155bc99
- (void)_setPersistentUUID:(id)uuid;	// 0x3155bfb5
- (void)_setProperties:(id)properties;	// 0x3155bacd
- (BOOL)_upgradeSelfFromPreKirkwood;	// 0x3155c961
- (BOOL)accountBoolPropertyForKey:(id)key;	// 0x3155bf41
- (int)accountChangeTypeForDataclass:(int)dataclass;	// 0x3155d061
- (BOOL)accountContainsEmailAddress:(id)address;	// 0x3155d0ed
// declared property getter: - (id)accountDescription;	// 0x3155ad95
- (id)accountID;	// 0x3155a7e5
- (int)accountIntPropertyForKey:(id)key;	// 0x3155bee1
- (BOOL)accountNeedsUpgrade;	// 0x3155cac9
- (BOOL)autodiscoverAccountConfigurationWithConsumer:(id)consumer;	// 0x3155b205
- (void)cancelAllSearchQueries;	// 0x31563abd
- (void)cancelAutodiscovery;	// 0x3155b209
- (void)cancelSearchQuery:(id)query;	// 0x31563ab9
- (void)checkValidityWithConsumer:(id)consumer;	// 0x3155cb85
- (void)cleanupAccountFiles;	// 0x3155b845
- (id)consumerForTask:(id)task;	// 0x3155d089
- (id)contactsFolders;	// 0x3155e0d9
// declared property getter: - (int)daAccountVersion;	// 0x3155aa1d
- (void)dealloc;	// 0x3155a945
- (id)defaultContactsFolder;	// 0x3155e0d5
- (id)defaultContainerIdentifierForDADataclass:(int)dadataclass;	// 0x3155b245
- (id)defaultEventsFolder;	// 0x3155e0a5
- (id)defaultNotesFolder;	// 0x315718d9
- (id)deletedItemsFolder;	// 0x3155e129
- (id)description;	// 0x3155c0ad
- (id)domainOnly;	// 0x3155b201
// declared property getter: - (id)emailAddress;	// 0x3155c745
// declared property getter: - (id)emailAddresses;	// 0x3155bb0d
// declared property getter: - (int)enabledDataclassesBitmask;	// 0x3155b2b5
- (BOOL)enabledForDataclass:(int)dataclass;	// 0x3155b1d1
- (id)eventsFolders;	// 0x3155e0a9
- (CFDataRef)exceptionsForDigest:(id)digest;	// 0x3155b9a5
- (void)handleTrust:(SecTrust *)trust forHost:(id)host withCompletionBlock:(id)completionBlock;	// 0x3155d6e9
- (BOOL)handleTrustChallenge:(id)challenge;	// 0x3155b419
// converted property getter: - (BOOL)hasDirtyBits;	// 0x3155b231
- (BOOL)haveWarnedAboutCert:(id)cert;	// 0x3155b6a5
// declared property getter: - (id)host;	// 0x3155c835
// declared property getter: - (id)identityPersist;	// 0x3155ba19
- (id)inboxFolder;	// 0x3155e121
- (BOOL)isActiveSyncAccount;	// 0x3155b251
- (BOOL)isCalDAVAccount;	// 0x3155b259
- (BOOL)isCalDAVChildAccount;	// 0x3155b261
- (BOOL)isCardDAVAccount;	// 0x3155b25d
// declared property getter: - (BOOL)isChildAccount;	// 0x3155b249
- (BOOL)isDisabled;	// 0x3155ad01
- (BOOL)isEqualToAccount:(id)account;	// 0x3155b4b1
- (BOOL)isLDAPAccount;	// 0x3155b255
- (int)keychainAccessibilityType;	// 0x3155b22d
- (id)localizedIdenticalAccountFailureMessage;	// 0x3155b385
- (id)localizedInvalidPasswordMessage;	// 0x3155b2f1
- (BOOL)monitorFolderWithID:(id)anId;	// 0x3155ba95
- (BOOL)monitorFoldersWithIDs:(id)ids;	// 0x3155b241
- (id)notesFolders;	// 0x315718dd
- (BOOL)originallyEnabledForDataclass:(int)dataclass;	// 0x3155b1e9
// declared property getter: - (id)password;	// 0x3155bc11
- (void)performSearchQuery:(id)query consumer:(id)consumer;	// 0x31563ac9
// declared property getter: - (id)persistentUUID;	// 0x3155a88d
// declared property getter: - (int)port;	// 0x3155c691
// declared property getter: - (id)principalURL;	// 0x3155c565
- (BOOL)reattemptInvitationLinkageForMetaData:(id)metaData inFolderWithId:(id)anId;	// 0x3155e12d
- (void)removeClientCertificateData;	// 0x3155d261
- (void)removeConsumerForTask:(id)task;	// 0x3155d0a5
- (void)removePasswordFromKeychain;	// 0x3155bc81
- (void)renewAccountCredentialsWithHandler:(id)handler;	// 0x3155daa5
- (void)resetAccountID;	// 0x3155cfb1
- (BOOL)resetCertWarnings;	// 0x3155b5fd
- (void)resetStatusReport;	// 0x3155b545
- (void)resumeMonitoringFoldersWithIDs:(id)ids;	// 0x3155cc59
- (void)saveAccountProperties;	// 0x3155ba35
- (void)saveAccountSettings;	// 0x3155b75d
- (void)saveChildAccountSettingsWithAccountsManager:(id)accountsManager;	// 0x3155c405
// declared property getter: - (id)scheduleIdentifier;	// 0x3155bfe5
// declared property getter: - (id)scheme;	// 0x3155c5dd
- (BOOL)searchQueriesRunning;	// 0x31563ac1
- (BOOL)sendEmailsForCalEvents:(id)calEvents consumer:(id)consumer;	// 0x3155e0b1
- (id)sentItemsFolder;	// 0x3155e125
- (void)setAccountBoolProperty:(BOOL)property forKey:(id)key;	// 0x3155bf05
// declared property setter: - (void)setAccountDescription:(id)description;	// 0x3155bf95
- (void)setAccountIntProperty:(int)property forKey:(id)key;	// 0x3155bea9
- (void)setConsumer:(id)consumer forTask:(id)task;	// 0x3155c135
// declared property setter: - (void)setDAAccountVersion:(int)version;	// 0x3155b6d5
// declared property setter: - (void)setEmailAddress:(id)address;	// 0x3155c709
// declared property setter: - (void)setEmailAddresses:(id)addresses;	// 0x3155c6cd
- (void)setEmbargoedPassword:(id)password;	// 0x3155c37d
- (void)setEnabled:(BOOL)enabled forDataclass:(int)dataclass changeType:(int)type;	// 0x3155cd0d
- (void)setExceptions:(CFDataRef)exceptions forDigest:(id)digest;	// 0x3155b891
- (void)setHaveWarnedAboutCert:(id)cert;	// 0x3155b629
// declared property setter: - (void)setHost:(id)host;	// 0x3155c7f9
// declared property setter: - (void)setIdentityPersist:(id)persist;	// 0x3155b9fd
- (void)setP12Data:(id)data password:(id)password;	// 0x3155d1ad
// declared property setter: - (void)setPassword:(id)password;	// 0x3155bb69
// declared property setter: - (void)setPort:(int)port;	// 0x3155c655
// declared property setter: - (void)setPrincipalURL:(id)url;	// 0x3155c529
// declared property setter: - (void)setScheme:(id)scheme;	// 0x3155c5a1
// declared property setter: - (void)setSettingsTemplate:(id)aTemplate;	// 0x3155d2a9
// declared property setter: - (void)setShouldAutodiscoverPrincipalURL:(BOOL)autodiscoverPrincipalURL;	// 0x3155b2a5
// declared property setter: - (void)setShouldFailAllTasks:(BOOL)failAllTasks;	// 0x3155b275
// declared property setter: - (void)setShouldPromptForPassword:(BOOL)promptForPassword;	// 0x3155b21d
// declared property setter: - (void)setUseSSL:(BOOL)ssl;	// 0x3155c781
// declared property setter: - (void)setUser:(id)user;	// 0x3155bb41
// declared property setter: - (void)setUsername:(id)username;	// 0x3155c871
// converted property setter: - (void)setVersion:(id)version;	// 0x3155c8e9
// declared property getter: - (id)settingsTemplate;	// 0x3155d291
- (BOOL)shouldAllowTrust:(SecTrust *)trust forHost:(id)host;	// 0x3155d3d1
// declared property getter: - (BOOL)shouldAutodiscoverPrincipalURL;	// 0x3155b295
// declared property getter: - (BOOL)shouldFailAllTasks;	// 0x3155b265
// declared property getter: - (BOOL)shouldPromptForPassword;	// 0x3155b20d
- (id)stateString;	// 0x3155be41
// declared property getter: - (id)statusReport;	// 0x3155b285
- (void)stopMonitoringFolderWithID:(id)anId;	// 0x3155cbc1
- (void)stopMonitoringFolders;	// 0x3155c445
- (void)stopMonitoringFoldersWithIDs:(id)ids;	// 0x3155c491
- (BOOL)supportsDataclass:(int)dataclass;	// 0x3155cf75
- (int)supportsMailboxSearch;	// 0x31563ac5
- (void)suspendMonitoringFoldersWithIDs:(id)ids;	// 0x3155cc0d
- (id)syncStoreIdentifier;	// 0x3155a931
- (void)synchronizeContactsFolder:(id)folder previousTag:(id)tag actions:(id)actions highestIdContext:(XXStruct_K5nmsA *)context isInitialUberSync:(BOOL)sync isResyncAfterConnectionFailed:(BOOL)failed consumer:(id)consumer;	// 0x3155e0dd
- (void)synchronizeEventsFolder:(id)folder previousTag:(id)tag actions:(id)actions highestIdContext:(XXStruct_SMhV9B *)context isInitialUberSync:(BOOL)sync isResyncAfterConnectionFailed:(BOOL)failed consumer:(id)consumer;	// 0x3155e0ad
- (void)synchronizeNotesFolder:(id)folder noteContext:(id)context previousTag:(id)tag actions:(id)actions changeSet:(id)set notesToDeleteAfterSync:(id)deleteAfterSync isInitialUberSync:(BOOL)sync isResyncAfterConnectionFailed:(BOOL)failed consumer:(id)consumer;	// 0x315718e1
// declared property getter: - (id)tag;	// 0x3155bfd1
- (void)takeValuesFromAccount:(id)account;	// 0x3155bd75
- (void)tearDown;	// 0x3155c4dd
- (BOOL)upgradeAccount;	// 0x3155bd15
- (id)urlForKeychain;	// 0x3155c619
// declared property getter: - (BOOL)useSSL;	// 0x3155c7bd
// declared property getter: - (id)user;	// 0x3155bb55
// declared property getter: - (id)username;	// 0x3155c8ad
- (id)usernameWithoutDomain;	// 0x3155bd61
// converted property getter: - (id)version;	// 0x3155c925
@end

