/**
 * This header is generated by class-dump-z 0.2a.
 * class-dump-z is Copyright (C) 2009 by KennyTM~, licensed under GPLv3.
 *
 * Source: /System/Library/PrivateFrameworks/IMCore.framework/IMCore
 */

#import "IMSecureObject.h"
#import <NSObject.h> // Unknown library

@class IMAccount, NSDate, IMMessage, NSString, NSMutableArray, NSMutableDictionary;

@interface IMChat : NSObject <IMSecureObject> {
	NSString *_guid;	// 4 = 0x4
	IMAccount *_account;	// 8 = 0x8
	NSString *_roomName;	// 12 = 0xc
	NSString *_roomNameWithoutSuffix;	// 16 = 0x10
	NSDate *_dateCreated;	// 20 = 0x14
	NSDate *_dateModified;	// 24 = 0x18
	NSMutableArray *_chatItems;	// 28 = 0x1c
	NSMutableDictionary *_unfinishedChatItemMap;	// 32 = 0x20
	NSMutableArray *_participants;	// 36 = 0x24
	NSMutableDictionary *_participantStates;	// 40 = 0x28
	IMMessage *_invitationForPendingParticipants;	// 44 = 0x2c
	NSMutableArray *_messagesPendingJoin;	// 48 = 0x30
	NSMutableDictionary *_chatProperties;	// 52 = 0x34
	NSMutableDictionary *_participantProperties;	// 56 = 0x38
	int _securityLevel;	// 60 = 0x3c
	unsigned _overallChatStatus;	// 64 = 0x40
	int _joinState;	// 68 = 0x44
	unsigned char _style;	// 72 = 0x48
	int _directConnectionStatus;	// 76 = 0x4c
	double _joinedTimeInterval;	// 80 = 0x50
	unsigned _chatItemChangeCount;	// 88 = 0x58
	unsigned _isFirstMessageInvitation : 1;	// 92 = 0x5c
	unsigned _wasInvitationHandled : 1;	// 92 = 0x5c
	unsigned _disabledEncryption : 1;	// 92 = 0x5c
	unsigned _suppressEncryptionChatItems;	// 96 = 0x60
	unsigned _didSendAFinishedMessage : 1;	// 100 = 0x64
	unsigned _shouldAnnouncePeopleJoin : 1;	// 100 = 0x64
}
@property(readonly, retain) IMAccount *account;	// G=0x34af1745; converted property
@property(readonly, retain) NSMutableArray *chatItems;	// G=0x34af1725; converted property
@property(readonly, retain) NSDate *dateCreated;	// G=0x34af1789; converted property
@property(readonly, retain) NSDate *dateModified;	// G=0x34af1799; converted property
@property(readonly, assign) int directConnectionStatus;	// G=0x34af1819; converted property
@property(readonly, retain) NSString *guid;	// G=0x34af1735; converted property
@property(retain) IMMessage *invitationForPendingParticipants;	// G=0x34af1839; S=0x34af1849; converted property
@property(readonly, assign) int joinState;	// G=0x34af1829; converted property
@property(readonly, assign) unsigned overallChatStatus;	// G=0x34af2029; converted property
@property(readonly, retain) NSMutableArray *participants;	// G=0x34af1755; converted property
@property(retain) id recipient;	// G=0x34af19bd; S=0x34af19dd; converted property
@property(readonly, retain) NSString *roomName;	// G=0x34af1779; converted property
@property(readonly, retain) NSString *roomNameWithoutSuffix;	// G=0x34af6451; converted property
@property(assign) int securityLevel;	// G=0x34af17e9; S=0x34af5149; converted property
- (id)init;	// 0x34af3c9d
- (void)_accountLoggedOut:(id)anOut;	// 0x34af2ba9
- (void)_addParticipant:(id)participant;	// 0x34af1885
- (void)_appendChatItem:(id)item;	// 0x34af3395
- (void)_beginChatItemChanges;	// 0x34af55fd
- (void)_buildChatItemForDecidingHandleWentOffline:(id)decidingHandleWentOffline;	// 0x34af5b89
- (void)_buildChatItemForDirectConnectionStatus:(int)directConnectionStatus;	// 0x34af5c6d
- (void)_buildChatItemForDisconnectOrLogout;	// 0x34af5d6d
- (void)_buildChatItemForErrorMessage:(id)errorMessage;	// 0x34af3331
- (void)_buildChatItemForNewRecipient:(id)newRecipient isNewAccount:(BOOL)account;	// 0x34af58ad
- (void)_buildChatItemForOverallChatStatusFrom:(unsigned)from to:(unsigned)to;	// 0x34af62d5
- (void)_buildChatItemForParticipantState:(int)participantState handle:(id)handle;	// 0x34af59f9
- (void)_buildChatItemForSecurityLevelChangeFrom:(int)from to:(int)to;	// 0x34af565d
- (void)_buildInitialChatItems:(id)items;	// 0x34af4739
- (id)_dateStampForChatItem:(id)chatItem atIndex:(unsigned)index;	// 0x34af3821
- (void)_endChatItemChanges;	// 0x34af5595
- (void)_fixLastStatusMessageIfNecessary;	// 0x34af2125
- (void)_handleHandleStatusChanged:(id)changed;	// 0x34af2c7d
- (void)_handleIncomingMessage:(id)message;	// 0x34af2519
- (id)_initWithGUID:(id)guid account:(id)account style:(unsigned char)style directConnectionStatus:(int)status roomName:(id)name chatItems:(id)items participants:(id)participants;	// 0x34af4c81
- (void)_insertArchivedChatItems:(id)items;	// 0x34af42b1
- (unsigned)_insertChatItem:(id)item atIndex:(unsigned)index;	// 0x34af3571
- (BOOL)_isDuplicate:(id)duplicate;	// 0x34af17d5
- (id)_newHeaderChatItemWithDate:(id)date;	// 0x34af5eb9
- (id)_newInitialTypingIndicatorChatItem;	// 0x34af3935
- (void)_participant:(id)participant statusChanged:(int)changed;	// 0x34af238d
- (void)_postChatItem:(id)item atIndex:(unsigned)index;	// 0x34af54b5
- (void)_postNotification:(id)notification userInfo:(id)info;	// 0x34af2b69
- (void)_recomputeOverallChatStatusQuietly:(BOOL)quietly;	// 0x34af2d0d
- (void)_remapHandle:(id)handle toHandle:(id)handle2;	// 0x34af2255
- (void)_removeChatItem:(id)item andTimestamp:(BOOL)timestamp;	// 0x34af33d1
- (void)_removeInitialTypingIndicator;	// 0x34af32b9
- (void)_replaceChatItem:(id)item withChatItem:(id)chatItem;	// 0x34af51f5
- (void)_setDirectConnectionStatus:(int)status;	// 0x34af24d5
- (void)_setJoinState:(int)state;	// 0x34af4171
- (void)_setParticipantState:(int)state forHandle:(id)handle;	// 0x34af2a2d
- (BOOL)_shouldAnnouncePeopleJoin;	// 0x34af3a85
- (BOOL)_shouldDisplayInitialTypingIndicator;	// 0x34af3a3d
- (void)_showErrorMessage:(id)message;	// 0x34af2309
- (id)_timeStampForChatItem:(id)chatItem atIndex:(unsigned)index;	// 0x34af36ed
- (void)_unwatchHandleStatusChangedForHandle:(id)handle;	// 0x34af2be1
- (void)_updateHeaderChatItem;	// 0x34af4b51
- (void)_updateSecurityLevelForMessage:(id)message;	// 0x34af2961
- (void)_watchHandleStatusChangedForHandle:(id)handle;	// 0x34af2c29
- (void)acceptInvitation;	// 0x34af1fb1
// converted property getter: - (id)account;	// 0x34af1745
- (void)addPendingParticipants:(id)participants;	// 0x34af3cc9
- (id)allChatProperties;	// 0x34af17d9
- (id)allPropertiesOfParticipant:(id)participant;	// 0x34af1e21
- (void)attemptDirectConnection;	// 0x34af1985
- (BOOL)canBeSecure;	// 0x34af1c61
- (BOOL)canHaveMultipleParticipants;	// 0x34af2065
- (id)chatIdentifier;	// 0x34af208d
// converted property getter: - (id)chatItems;	// 0x34af1725
- (unsigned char)chatStyle;	// 0x34af1765
- (void)clear;	// 0x34af2ec5
- (id)convertToChatStyle:(unsigned char)chatStyle;	// 0x34af1775
// converted property getter: - (id)dateCreated;	// 0x34af1789
// converted property getter: - (id)dateModified;	// 0x34af1799
- (void)dealloc;	// 0x34af3b09
- (void)declineInvitation;	// 0x34af1f5d
// converted property getter: - (int)directConnectionStatus;	// 0x34af1819
// converted property getter: - (id)guid;	// 0x34af1735
- (BOOL)hasUnhandledInvitation;	// 0x34af17a9
// converted property getter: - (id)invitationForPendingParticipants;	// 0x34af1839
- (void)inviteParticipants:(id)participants reason:(id)reason;	// 0x34af3ee1
- (void)join;	// 0x34af1929
// converted property getter: - (int)joinState;	// 0x34af1829
- (void)leave;	// 0x34af18d9
- (void)mark;	// 0x34af2e71
// converted property getter: - (unsigned)overallChatStatus;	// 0x34af2029
// converted property getter: - (id)participants;	// 0x34af1755
- (id)participantsWithState:(unsigned)state;	// 0x34af4065
- (void)processChatItem:(id)item;	// 0x34af1721
// converted property getter: - (id)recipient;	// 0x34af19bd
- (void)removeParticipants:(id)participants reason:(id)reason;	// 0x34af3d7d
// converted property getter: - (id)roomName;	// 0x34af1779
// converted property getter: - (id)roomNameWithoutSuffix;	// 0x34af6451
// converted property getter: - (int)securityLevel;	// 0x34af17e9
- (void)sendMessage:(id)message;	// 0x34af1ec1
// converted property setter: - (void)setInvitationForPendingParticipants:(id)pendingParticipants;	// 0x34af1849
// converted property setter: - (void)setRecipient:(id)recipient;	// 0x34af19dd
// converted property setter: - (void)setSecurityLevel:(int)level;	// 0x34af5149
- (void)setSupressEncryptionChatItems:(BOOL)items;	// 0x34af17f9
- (void)setValue:(id)value forChatProperty:(id)chatProperty;	// 0x34af1e59
- (void)setValue:(id)value forProperty:(id)property ofParticipant:(id)participant;	// 0x34af1cc9
- (BOOL)shouldAppendDatestampAfterChatItem:(id)item andBeforeChatItem:(id)item2;	// 0x34af3039
- (BOOL)shouldAppendTimestampAfterChatItem:(id)item andBeforeChatItem:(id)item2;	// 0x34af3179
- (BOOL)shouldInsertChatItem:(id)item atIndex:(unsigned)index;	// 0x34af171d
- (int)stateForParticipant:(id)participant;	// 0x34af20e1
- (BOOL)suppressEncryptionChatItems;	// 0x34af1809
- (id)valueForChatProperty:(id)chatProperty;	// 0x34af1ea1
- (id)valueForProperty:(id)property ofParticipant:(id)participant;	// 0x34af1df9
@end

