/**
 * This header is generated by class-dump-z 0.2a.
 * class-dump-z is Copyright (C) 2009 by KennyTM~, licensed under GPLv3.
 *
 * Source: /System/Library/PrivateFrameworks/PersistentConnection.framework/PersistentConnection
 */

#import "PCLoggingDelegate.h"
#import <NSObject.h> // Unknown library

@class NSString, NSRunLoop, PCDarwinNotificationRunLoopSource, PCPersistentTimer;
@protocol PCConnectionManagerDelegate, PCGrowthAlgorithm;

@interface PCConnectionManager : NSObject <PCLoggingDelegate> {
	int _connectionClass;	// 4 = 0x4
	id<PCConnectionManagerDelegate> _delegate;	// 8 = 0x8
	NSString *_serviceIdentifier;	// 12 = 0xc
	int _prefsStyle;	// 16 = 0x10
	int _onlyAllowedStyle;	// 20 = 0x14
	BOOL _onlyAllowedStyleSet;	// 24 = 0x18
	NSRunLoop *_runLoop;	// 28 = 0x1c
	id<PCGrowthAlgorithm> _wwanGrowthAlgorithm;	// 32 = 0x20
	id<PCGrowthAlgorithm> _wifiGrowthAlgorithm;	// 36 = 0x24
	PCDarwinNotificationRunLoopSource *_prefsChangedSource;	// 40 = 0x28
	PCPersistentTimer *_intervalTimer;	// 44 = 0x2c
	PCPersistentTimer *_reconnectWakeTimer;	// 48 = 0x30
	PCPersistentTimer *_delayTimer;	// 52 = 0x34
	unsigned _powerAssertionID;	// 56 = 0x38
	double _onTimeKeepAliveTime;	// 60 = 0x3c
	double _lastResumeTime;	// 68 = 0x44
	double _lastStopTime;	// 76 = 0x4c
	double _lastReachableTime;	// 84 = 0x54
	double _keepAliveGracePeriod;	// 92 = 0x5c
	unsigned _reconnectIteration;	// 100 = 0x64
	double _defaultPollingInterval;	// 104 = 0x68
	double _pollingIntervalOverride;	// 112 = 0x70
	BOOL _pollingIntervalOverrideSet;	// 120 = 0x78
	BOOL _hasStarted;	// 121 = 0x79
	BOOL _isRunning;	// 122 = 0x7a
	BOOL _inCallback;	// 123 = 0x7b
	BOOL _isInReconnectMode;	// 124 = 0x7c
	BOOL _reconnectWithKeepAliveDelay;	// 125 = 0x7d
	BOOL _forceManualWhenRoaming;	// 126 = 0x7e
	BOOL _fallBackToAlternateInterface;	// 127 = 0x7f
}
@property(readonly, assign, nonatomic) double currentKeepAliveInterval;	// G=0x318565f9; 
@property(assign, nonatomic) BOOL fallBackToAlternateInterface;	// G=0x31855709; S=0x3185624d; @synthesize=_fallBackToAlternateInterface
@property(assign, nonatomic) double keepAliveGracePeriod;	// G=0x31855719; S=0x318563e5; @synthesize=_keepAliveGracePeriod
@property(readonly, assign, nonatomic) NSString *loggingIdentifier;	// G=0x318556f9; @synthesize=_serviceIdentifier
@property(assign) double maximumKeepAliveInterval;	// G=0x31856521; S=0x31856489; 
@property(assign, nonatomic) double minimumKeepAliveInterval;	// G=0x318565d9; S=0x31856541; 
@property(readonly, assign, nonatomic) double pollingInterval;	// G=0x31855615; 
+ (BOOL)_isCachedKeepAliveIntervalStillValid:(double)valid date:(id)date;	// 0x31855759
+ (id)_keepAliveCachePath;	// 0x31858871
+ (Class)growthAlgorithmClass;	// 0x31856db1
+ (id)intervalCacheDictionaries;	// 0x31858671
- (id)initWithConnectionClass:(int)connectionClass delegate:(id)delegate serviceIdentifier:(id)identifier;	// 0x31856a59
- (void)_adjustInterfaceAssertions;	// 0x318558d1
- (void)_calloutWithEvent:(int)event;	// 0x31855c29
- (void)_clearTimers;	// 0x31855c01
- (void)_clearTimersReleasingPowerAssertion:(BOOL)assertion;	// 0x31857235
- (id)_currentGrowthAlgorithm;	// 0x31856755
- (void)_delayTimerFired;	// 0x31855db5
- (double)_getCachedWWANKeepAliveInterval;	// 0x318557a9
- (void)_intervalTimerFired;	// 0x31855e11
- (void)_loadPreferencesGeneratingEvent:(BOOL)event;	// 0x31856dd1
- (void)_preferencesChanged;	// 0x31856929
- (void)_releasePowerAssertion;	// 0x3185829d
- (void)_resolveStateWithAction:(int)action;	// 0x318555ad
- (void)_saveWWANKeepAliveInterval:(double)interval;	// 0x31858361
- (void)_setupKeepAliveForPoll;	// 0x3185608d
- (void)_setupKeepAliveForReconnect;	// 0x31857de5
- (void)_setupTimerForPushWithKeepAliveInterval:(double)keepAliveInterval;	// 0x31857311
- (id)_stringForAction:(int)action;	// 0x31855641
- (id)_stringForEvent:(int)event;	// 0x318556a1
- (void)_takePowerAssertion;	// 0x31858199
- (void)_validateActionForCurrentStyle:(int)currentStyle;	// 0x31857cad
- (void)cancelPollingIntervalOverride;	// 0x318562d1
// declared property getter: - (double)currentKeepAliveInterval;	// 0x318565f9
- (int)currentStyle;	// 0x31856855
- (void)dealloc;	// 0x31856941
// declared property getter: - (BOOL)fallBackToAlternateInterface;	// 0x31855709
- (void)interfaceManagerInHomeCountryStatusChanged:(id)homeCountryStatusChanged;	// 0x31855acd
- (void)interfaceManagerInternetReachabilityChanged:(id)changed;	// 0x318570c5
- (void)interfaceManagerWWANInterfaceStatusChanged:(id)changed;	// 0x31855ae5
// declared property getter: - (double)keepAliveGracePeriod;	// 0x31855719
- (void)log:(id)log;	// 0x31858641
- (void)logAtLevel:(int)level format:(id)format;	// 0x3185860d
- (void)logAtLevel:(int)level format:(id)format arguments:(void *)arguments;	// 0x31855729
// declared property getter: - (id)loggingIdentifier;	// 0x318556f9
// declared property getter: - (double)maximumKeepAliveInterval;	// 0x31856521
// declared property getter: - (double)minimumKeepAliveInterval;	// 0x318565d9
// declared property getter: - (double)pollingInterval;	// 0x31855615
- (void)resumeManagerWithAction:(int)action;	// 0x31857769
// declared property setter: - (void)setFallBackToAlternateInterface:(BOOL)alternateInterface;	// 0x3185624d
// declared property setter: - (void)setKeepAliveGracePeriod:(double)period;	// 0x318563e5
// declared property setter: - (void)setMaximumKeepAliveInterval:(double)interval;	// 0x31856489
// declared property setter: - (void)setMinimumKeepAliveInterval:(double)interval;	// 0x31856541
- (void)setOnlyAllowedStyle:(int)style;	// 0x31856825
- (void)setPollingIntervalOverride:(double)override;	// 0x3185633d
- (BOOL)shouldClientScheduleReconnectDueToFailure;	// 0x31857531
- (void)startManager;	// 0x31856725
- (void)stopManager;	// 0x3185661d
@end

